\name{Fishcatch}
\docType{data}
\alias{Fishcatch}
\title{Fish Catch}
\description{
159 fishes of 7 species were caught and measured from the same lake
(Laengelmavesi) near Tampere in Finland.

\subsection{Description of Variables}{

\var{Obs}:       Observation number ranges from 1 to 159

\var{Species}:   (Numeric)
        
Code: 

\tabular{clllll}{
Value \tab Finnish \tab  Swedish \tab English \tab Latin \tab Added Comments\cr 
\tab\tab\tab\tab\tab\cr
 1 \tab Lahna \tab Braxen \tab Bream \tab Abramis brama \tab or Carp Bream\cr
 2 \tab Siika \tab Iiden \tab Whitefish \tab Leusiscus idus \tab or Orfe or Ide or Id (Whitefish?)\cr
 3 \tab Saerki \tab Moerten \tab Roach \tab Leuciscus rutilus \tab now Rutilus rutilus\cr
 4 \tab Parkki \tab Bjoerknan \tab ? \tab Abramis bjoerkna \tab Silver Bream\cr
 5 \tab  Norssi \tab Norssen \tab Smelt \tab Osmerus eperlanus \tab\cr
 6 \tab Hauki \tab Jaedda \tab Pike \tab Esox lucius \tab\cr
 7 \tab Ahven \tab Abborre \tab Perch \tab Perca fluviatilis \tab
}

\var{Weight}:     Weight of the fish (in grams)

\var{Length1}:    Length from the nose to the beginning of the tail (in cm)

\var{Length2}:    Length from the nose to the notch of the tail (in cm)

\var{Length3}:    Length from the nose to the end of the tail (in cm)

\var{Height_pc}:  Maximal height as % of Length3

\var{Width_pc}:   Maximal width as % of Length3

\var{Sex}:        1 = male 0 = female


Missing values are denoted with NA.
There is one element in each variable for each fish.
}

Data provided by and many thanks to Juha Puranen,
Department of statistics, University of Helsinki
Finland.
}
\usage{Fishcatch}
\format{A data frame named \var{Fishcatch} containing vectors named \var{Obs},
\var{Species}, \var{Weight}, \var{Length1}, \var{Length2}, \var{Length3},
\var{Height_pc}, \var{Width_pc}, and \var{Sex}.
}
\source{
Brofeldt, P. 1917 Bidrag till kaennedom on fiskbestondet i vaera
sjoear. Laengelmaevesi. \emph{Finlands Fiskeriet Band 4,
Meddelanden utgivna av fiskerifoereningen i Finland}.}
\references{
Keen, K. J. 2018 \emph{Graphics for Statistics and
Data Analysis with R, Second Edition}.
Boca Raton: Taylor & Francis Group, LLC.
}
\keyword{datasets}