\name{Perch}
\docType{data}
\alias{Perch}
\title{Perch}
\description{
Data on 56 perch (Perca fluviatilis) from the Fishcatch dataset. 

\subsection{Description of Variables}{

\var{Obs}:         Observation number ranges from 104 to 159

\var{Species}:     (character) value is "Perch"

\var{Weight}:      Weight of the fish (in grams)

\var{Length1}:     Length from the nose to the beginning of the tail (in cm)

\var{Length2}:     Length from the nose to the notch of the tail (in cm)

\var{Length3}:     Length from the nose to the end of the tail (in cm)

\var{Height_pc}:   Maximal height as % of Length3

\var{Width_pc}:    Maximal width as % of Length3

\var{Sex}:         1 = male 0 = female


Missing values are denoted as NA.
There is one element in each variable for each fish.

Data provided by and many thanks to Juha Puranen,
Department of statistics, University of Helsinki
Finland.

}
}
\usage{Fishcatch}
\format{A data frame named \var{Perch} containing vectors named \var{Obs},
\var{Species}, \var{Weight}, \var{Length1}, \var{Length2}, \var{Length3},
\var{Height_pc}, \var{Width_pc}, and \var{Sex}.
}
\source{
Brofeldt, P. 1917 Bidrag till kaennedom on fiskbestondet i vaera
sjoear. Laengelmaevesi. \emph{Finlands Fiskeriet Band 4,
Meddelanden utgivna av fiskerifoereningen i Finland}.}
\references{
Keen, K. J. 2018 \emph{Graphics for Statistics and
Data Analysis with R, Second Edition}.
Boca Raton: Taylor & Francis Group, LLc.
}
\seealso{Fishcatch}
\keyword{datasets}
